System.Xml 2.0.0.0 4.0.0.0 System.Xml.Schema.XmlSchemaException To be added.

Represents the exception thrown when XML Schema Definition Language (XSD) schema validation errors and warnings are encountered in an XML document being validated.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the exception message specified.

  A string description of the error condition.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor is called by derived class constructors to initialize state in this type.

  Initializes a new instance of the class with the and objects specified.

  A object.
  A object.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the exception message and original object that caused this exception specified.

  A string description of the error condition.
  The original object that caused this exception.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the exception message specified, and the original object, line number, and line position of the XML that cause this exception specified.

  A string description of the error condition.
  The original object that caused this exception.
  The line number of the XML that caused this exception.
  The line position of the XML that caused this exception.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Constructs a new object with the given and information that contains all the properties of the .

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Use the property instead.

  Sets the XML node that causes the error.

  The source object.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  When an is thrown during validation of a class that implements the interface such as the or class, the object returned by the property is an instance of a class that implements the interface.

  When an is thrown during validation by a validating object, the value of the property is null.

  Gets the XML node that caused this .